# Overlay Network

These scripts allow you to create an overlay network on top of DeTEE VMs. These
VMs do not need a public IP, however they require an extra port to be
forwarded. Every VM in the network will get an IP in the subnet `10.254.254.0/24`.

The VMs will be connected in a full-mesh topology, meaning each VM can
communicate with each other VM directly. Here is a graphical representation of a
full mesh from wikipedia: https://en.wikipedia.org/wiki/File:FullMeshNetwork.svg

To create the VMs, run `./create_vms.sh`.

To deploy the network overlay, run `./setup_wg_mesh.sh`. This will create an
overlay on top of all the VMs created previously using the `./create_vms.sh`
script, assigning IPs in alphabetical order.
